<Project Sdk="Microsoft.NET.Sdk">
    <Import Project="..\CTS.props" />
    <PropertyGroup>
        <TargetFrameworks>net472</TargetFrameworks>
        <AssemblyName>SpaceChamberVOBMeasurementManager</AssemblyName>
        <RootNamespace>SpaceChamberVOBMeasurementManager</RootNamespace>
        <Product>Composable Test Software Library</Product>
        <Description>Space Chamber VOB Measurement Manager</Description>
        <Company>Raytheon Technologies</Company>
        <Authors>TEEC</Authors>
        <Copyright>Copyright © Raytheon Technologies $(Year)</Copyright>
        <Version>$(Version)$(Suffix)</Version>
        <OutputType>Library</OutputType>
        <GeneratePackageOnBuild>True</GeneratePackageOnBuild>
        <Configurations>Debug;Release;Deploy</Configurations>
        <TargetsForTfmSpecificBuildOutput>$(TargetsForTfmSpecificBuildOutput);CopyProjectReferencesToPackage</TargetsForTfmSpecificBuildOutput>
        <AllowedOutputExtensionsInPackageBuildOutputFolder>$(AllowedOutputExtensionsInPackageBuildOutputFolder);.pdb</AllowedOutputExtensionsInPackageBuildOutputFolder>
    </PropertyGroup>

    <PropertyGroup>
        <NoWarn>NU5118</NoWarn>
    </PropertyGroup>

    <ItemGroup>
        <PackageReference Include="Raytheon.Instruments.InstrumentManager.Contracts" Version="1.7.1.0" />
    </ItemGroup>

    <ItemGroup>
        <ProjectReference Include="..\SpaceChamberVOBMeasurementInstruments\SpaceChamberVOBMeasurementInstruments.csproj">
            <PrivateAssets>all</PrivateAssets>
        </ProjectReference>
    </ItemGroup>

    <ItemGroup>
        <Compile Include="..\Common\Interfaces\IMsgParser.cs">
            <Link>Interfaces\IMsgParser.cs</Link>
        </Compile>
        <Compile Include="..\Common\Interfaces\IWorkerInterface.cs">
            <Link>Interfaces\IWorkerInterface.cs</Link>
        </Compile>
    </ItemGroup>

    <ItemGroup>
        <Content Include="..\Common\readme.md" Pack="true" PackagePath="\" />
    </ItemGroup>

    <Target DependsOnTargets="ResolveReferences" Name="CopyProjectReferencesToPackage">
        <ItemGroup>
            <BuildOutputInPackage Include="$(OutputPath)*.dll" Exclude="$(TargetPath)" />
            <BuildOutputInPackage Include="$(OutputPath)*.xml" Exclude="$(TargetPath)" />
            <BuildOutputInPackage Include="$(OutputPath)*.pdb" Exclude="$(TargetPath)" />
        </ItemGroup>
    </Target>

    <Target Name="DeleteStaleFiles" BeforeTargets="Build">
        <ItemGroup>
            <StaleFiles Include="$(MSBuildProjectDirectory)\$(OutputPath)*.nupkg" />
        </ItemGroup>
        <Message Text="Deleting Stale Files: @(StaleFiles, '%0A')" Condition="'@(StaleFiles-&gt;Count())' &gt; 0" />
        <Delete Files="@(StaleFiles)" />
    </Target>

    <Target Name="PostBuild" AfterTargets="Pack" Condition="'$(Configuration)' == 'Deploy'">
        <Exec Command="dotnet nuget push --source &quot;TSRealNuget_Dev&quot; --api-key az $(MSBuildProjectDirectory)\$(OutputPath)*.nupkg" />
    </Target>

</Project>